<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Daami
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="card-item card-blog-post">
	<header class="entry-header">
			<?php
			if ( 'post' === get_post_type() ) :

				if (is_singular()) {
					/**
					 * daami_breadcrumb hook.
					 *
					 */
					do_action('daami_breadcrumbs');
				}
				
				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
				endif;

				?>
					<div class="entry-meta">
						<?php
						daami_posted_on();
						daami_posted_by();
						?>
					</div><!-- .entry-meta -->
				<?php

				if ( is_singular() ) :
					?>
					<?php

						$categories_list = get_the_category_list( esc_html( ' ', 'daami' ) );
						if ( $categories_list ) {
							/* translators: 1: list of categories. */
							printf( '<span class="cat-links">' . esc_html('%1$s', 'daami') .  '</span>', $categories_list ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
						}
				endif;
				?>

			<?php endif; ?>
		</header><!-- .entry-header -->
		<?php
			if (has_post_thumbnail()) {
			?>
				<div class="card-media">
					<?php daami_post_thumbnail(); ?>
				</div>
				<!-- .card-media -->
			<?php 
			} 
		?>

		

		<div class="entry-content">
			<?php
				if ( !is_singular()) :
					$categories_list = get_the_category_list( esc_html( ' ', 'daami' ) );
						if ( $categories_list ) {
							/* translators: 1: list of categories. */
							printf( '<span class="cat-links">' . esc_html('%1$s', 'daami') .  '</span>', $categories_list ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
						}
				endif;

				if ( is_singular() ) :
					the_content();
				else :
					echo "<p>".wp_trim_words(get_the_excerpt(), 50)."</p>";
					?>
					<a href="<?php the_permalink(); ?>" class="btn read-btn text-uppercase"> <?php echo esc_html(get_theme_mod('daami_read_more_text', __('Read More', 'daami'))); ?> </a>
					<?php
				endif;
				?>


			<?php
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'daami' ),
					'after'  => '</div>',
				)
			);
			?>
		</div><!-- .entry-content -->
	</div>
	<!-- .card-item -->


	

	
</article><!-- #post-<?php the_ID(); ?> -->
